LinuxQMISDK: nasGetSysInfoResp Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
nasGetSysInfoResp Struct Reference

## Data Fields
SrvStatusInfo * | pCDMASrvStatusInfo
SrvStatusInfo * | pHDRSrvStatusInfo
GSMSrvStatusInfo * | pGSMSrvStatusInfo
GSMSrvStatusInfo * | pWCDMASrvStatusInfo
GSMSrvStatusInfo * | pLTESrvStatusInfo
CDMASysInfo * | pCDMASysInfo
HDRSysInfo * | pHDRSysInfo
GSMSysInfo * | pGSMSysInfo
WCDMASysInfo * | pWCDMASysInfo
LTESysInfo * | pLTESysInfo
AddCDMASysInfo * | pAddCDMASysInfo
WORD * | pAddHDRSysInfo
AddSysInfo * | pAddGSMSysInfo
AddSysInfo * | pAddWCDMASysInfo
WORD * | pAddLTESysInfo
CallBarringSysInfo * | pGSMCallBarringSysInfo
CallBarringSysInfo * | pWCDMACallBarringSysInfo
BYTE * | pLTEVoiceSupportSysInfo
BYTE * | pGSMCipherDomainSysInfo
BYTE * | pWCDMACipherDomainSysInfo

## Detailed Description

Structure for storing the SLQSNasGetSysInfo response parameters.

Parameters

  pCDMASrvStatusInfo | See SrvStatusInfo for more information.
  pHDRSrvStatusInfo | See SrvStatusInfo for more information.
  pGSMSrvStatusInfo | See GSMSrvStatusInfo for more information.
  pWCDMASrvStatusInfo | See GSMSrvStatusInfo for more information.
  pLTESrvStatusInfo | See GSMSrvStatusInfo for more information.
  pCDMASysInfo | See CDMASysInfo for more information.
  pHDRSysInfo | See HDRSysInfo for more information.
  pGSMSysInfo | See GSMSysInfo for more information.
  pWCDMASysInfo | See WCDMASysInfo for more information.
  pLTESysInfo | See LTESysInfo for more information.
  pAddCDMASysInfo | See AddCDMASysInfo for more information.
  pAddHDRSysInfo | System table index referencing the beginning of the geo in which the current serving system is present. When the system index is not known, 0xFFFF is used.
  pAddGSMSysInfo | See AddSysInfo for more information.
  pAddWCDMASysInfo | See AddSysInfo for more information.
  pAddLTESysInfo | System table index referencing the beginning of the geo in which the current serving system is present. When the system index is not known, 0xFFFF is used.
  pGSMCallBarringSysInfo | See CallBarringSysInfo for more information.
  pWCDMACallBarringSysInfo | See CallBarringSysInfo for more information.
  pLTEVoiceSupportSysInfo | Indicates voice support status on LTE. 0x00 - Voice is not supported 0x01 - Voice is supported
  pGSMCipherDomainSysInfo | Ciphering on the service domain. 0x00 - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched
  pWCDMACipherDomainSysInfo | Ciphering on the service domain. 0x00 - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched

## Field Documentation

AddCDMASysInfo* nasGetSysInfoResp::pAddCDMASysInfo

AddSysInfo* nasGetSysInfoResp::pAddGSMSysInfo

WORD* nasGetSysInfoResp::pAddHDRSysInfo

WORD* nasGetSysInfoResp::pAddLTESysInfo

AddSysInfo* nasGetSysInfoResp::pAddWCDMASysInfo

SrvStatusInfo* nasGetSysInfoResp::pCDMASrvStatusInfo

CDMASysInfo* nasGetSysInfoResp::pCDMASysInfo

CallBarringSysInfo* nasGetSysInfoResp::pGSMCallBarringSysInfo

BYTE* nasGetSysInfoResp::pGSMCipherDomainSysInfo

GSMSrvStatusInfo* nasGetSysInfoResp::pGSMSrvStatusInfo

GSMSysInfo* nasGetSysInfoResp::pGSMSysInfo

SrvStatusInfo* nasGetSysInfoResp::pHDRSrvStatusInfo

HDRSysInfo* nasGetSysInfoResp::pHDRSysInfo

GSMSrvStatusInfo* nasGetSysInfoResp::pLTESrvStatusInfo

LTESysInfo* nasGetSysInfoResp::pLTESysInfo

BYTE* nasGetSysInfoResp::pLTEVoiceSupportSysInfo

CallBarringSysInfo* nasGetSysInfoResp::pWCDMACallBarringSysInfo

BYTE* nasGetSysInfoResp::pWCDMACipherDomainSysInfo

GSMSrvStatusInfo* nasGetSysInfoResp::pWCDMASrvStatusInfo

WCDMASysInfo* nasGetSysInfoResp::pWCDMASysInfo